<!-- Auto-generated from JSON by GDScript docs maker. Do not edit this document directly. -->

# rtl\_screen\_offset\_testing.gd

**Extends:** [Control](../Control)

## Description

## Constants Descriptions

### MAX\_HEIGHT

```gdscript
const MAX_HEIGHT: int = 500
```

### MIN\_HEIGHT

```gdscript
const MIN_HEIGHT: int = 30
```

### ONE\_LINE\_HEIGHT

```gdscript
const ONE_LINE_HEIGHT: int = 16
```

## Property Descriptions

### screen\_width

```gdscript
var screen_width
```

### screen\_height

```gdscript
var screen_height
```

### global\_distance\_to\_clamp

```gdscript
var global_distance_to_clamp
```

- **Setter**: `set_global_dist_clamp`
- **Getter**: `get_global_dist_clamp`

### path\_to\_richtextlabel

```gdscript
export var path_to_richtextlabel = ""
```

### max\_width

```gdscript
export var max_width = 200
```

## Method Descriptions

### set\_path\_to\_richtextlabel

```gdscript
func set_path_to_richtextlabel(path)
```

### set\_global\_dist\_clamp

```gdscript
func set_global_dist_clamp(d)
```

### get\_global\_dist\_clamp

```gdscript
func get_global_dist_clamp()
```

### update\_line2d

```gdscript
func update_line2d()
```

### tooltip\_distance\_to\_edge\_top

```gdscript
func tooltip_distance_to_edge_top(position: Vector2)
```

### tooltip\_distance\_to\_edge\_bottom

```gdscript
func tooltip_distance_to_edge_bottom(position: Vector2)
```

### tooltip\_distance\_to\_edge\_left

```gdscript
func tooltip_distance_to_edge_left(position: Vector2)
```

### tooltip\_distance\_to\_edge\_right

```gdscript
func tooltip_distance_to_edge_right(position: Vector2)
```

### update\_size

```gdscript
func update_size()
```

## Signals

- signal mouse_moved(position): 
- signal text_selected(text): 
